浜松のWEBシステム開発・スマートフォンアプリ開発・RTK-GNSS関連の開発はお任せください
株式会社シーポイントラボ
TEL:053-543-9889
営業時間:9:00~18:00(月〜金)
住所:静岡県浜松市中区富塚町1933-1 佐鳴湖パークタウンサウス2F

PHP 5.2 と Apache 2.4

Apache httpd

今更動かす必要もないのですが、どうしてもというので。PHP 5.2。

PHP 5.2 の ./configure を apache 2.4 の apxsと組み合わせて実行するとZTS化された libphp5.so が出来上がってしまう不思議な症状。

httpd -V する限りでは Server MPM: prefork となっているのに。

erver version: Apache/2.4.41 (Unix)
Server built:   Oct  9 2019 18:49:06
Server's Module Magic Number: 20120211:88
Server loaded:  APR 1.7.0, APR-UTIL 1.6.1
Compiled using: APR 1.7.0, APR-UTIL 1.6.1
Architecture:   64-bit
Server MPM:     prefork
  threaded:     no
    forked:     yes (variable process count)

apache 2.2 の apxs を使えば prefork 版モジュールが出来上がるのですが、apache 2.4 ではどうやって作ったら良いのだろうか。

  • この記事いいね! (0)